[Numpy-discussion] f2py error with ifort

Robert Kern robert.kern@gmail....
Fri Nov 7 13:38:13 CST 2008


On Fri, Nov 7, 2008 at 13:34, Marek Wojciechowski <wojciechowski_m@o2.pl> wrote:
> Hi!
> I'm trying to compile fortran code with f2py using the --fcompiler=intel flag
> but the follwoing weird error occurs:
>
> Found executable /opt/intel/fce/10.0.026/bin/ifort
> warning: build_ext: f77_compiler=intel is not available.
> building '_beameb' extension
> error: extension '_beameb' has Fortran sources but no Fortran compiler found
>
> This is in numpy 1.2.0. In previous verisions the compilation worked fine.
> What happened?

Are you on a 64-bit platform? The /opt/intel/fce/ directory suggests
that you are. You need to use --fcompiler=intelem instead. You can see
the available Fortran compilers with

  $ python setup.py config_fc --help-fcompiler

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
  -- Umberto Eco


More information about the Numpy-discussion mailing list